GET /{blockchain}/v2/block/{blockHashOrHeight}
Summary: Get Block V2
Operation ID: getBlockV2
Auth: unknown
Operation ID: getBlockV2
Auth: unknown
Description
Returns information about block with transactions, subject to paging. Note: Blockbook always follows the main chain of the backend it is attached to. If there is a rollback-reorg in the backend, Blockbook will also do rollback. When you ask for block by height, you will always get the main chain block. If you ask for block by hash, you may get the block from another fork but it is not guaranteed (backend may not keep it)
Parameters (4)
blockHashOrHeight
(string, path, required)
Block hash or height
blockchain
(string, path, required)
Blockchain name
page
(integer, query, optional)
specifies page of returned transactions, starting from 1. If out of range, Blockbook returns the closest possible page.
pageSize
(integer, query, optional)
number of transactions returned by call (default and maximum 1000)
No probe data for this endpoint yet.